
GammaLib - Bug #1277

Units of m_detx m_dety seem to be degs instead of radians

07/12/2014 03:43 PM - Lu Chia-Chun

Status: Closed Start date: 07/12/2014

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 3rd coding sprint   

Description

While the code description says that detx, and dety are in units of radians, it seems that they are actually in units of degree.

Example:

cta = GCTAObservation()

cta.load('run_0023592_std_eventlist.fits')

events = GCTAEventList(cta.events())

event = events[0]

detx = event.dir().detx()

dety = event.dir().dety()

In [57]: detx

Out[57]: 0.3536582589149475

In [58]: dety

Out[58]: -0.01053939200937748

History

#1 - 07/12/2014 03:44 PM - Lu Chia-Chun

Sorry, forgot to say. m_detx and m_dety are members in GCTAInstDir

#2 - 07/12/2014 10:49 PM - Knödlseder Jürgen

- Status changed from New to Feedback

- Assigned To set to Knödlseder Jürgen

- Target version set to 3rd coding sprint

- % Done changed from 0 to 100

Indeed, the reader and writer in GCTAEventList was missing the conversions. I have not recognized because GammaLib is so far not using this

information. I have now corrected. Could you please check?

#3 - 07/12/2014 10:50 PM - Knödlseder Jürgen

- Description updated

#4 - 07/13/2014 04:02 PM - Lu Chia-Chun

- Status changed from Feedback to Resolved

Now it's correct. We can close this issue.

#5 - 07/20/2014 11:21 PM - Knödlseder Jürgen

05/06/2024 1/2



- Status changed from Resolved to Closed
